import request from '/@/utils/request';

export function workApi() {
    return {
        // v1
        getWorkList: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/prevent/checkWork/select/getCheckWorkPage`,
                method: 'post',
                data: data
            });
        },
        // v1
        addWork: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/prevent/checkWork/insert/saveCheckWork`,
                method: 'post',
                data: data
            });
        },
        // v1
        modWork: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/prevent/checkWork/update/updateCheckWork`,
                method: 'post',
                data: data
            });
        },
        // v1
        deleteWork: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/prevent/checkWork/delete/deleteCheckWork`,
                method: 'post',
                data: data
            });
        }
    };
}
